<?php
  $publicKey = ''; //wstaw swój klucz publiczny captchy
  $privateKey = ''; //wstaw swój klucz prywatny captchy
  
  //dołączamy bibliotekę AdvertWay
  require_once 'advertway_api.php'; 
  //tworzymy nowy obiekt captchy podając swój kod publiczny oraz prywatny
  $awCaptcha = new AdvertWayApi($publicKey, $privateKey);
?>
<!DOCTYPE html>
<html>
  <head>
    <title>Test systemu Advertway</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body>
    <style type="text/css">
      #content{width: 500px; margin: 100px auto; border: 1px solid #aaa;}
      h1,h2{text-align: center}
      .valid{color: green}
      .error{color: red}
      fieldset{border: none; width: 330px; margin: 0 auto}
    </style>
    
    <div id="content">
      
      <?php if($_SERVER['REQUEST_METHOD'] == 'POST'): ?>

        <?php if($awCaptcha->validate()):?>
          <h1 class="valid">Dziękujemy <?php echo htmlspecialchars(isset($_POST['name']) ? $_POST['name'] : '') ?>. Formularz został poprawnie wysłany.</h1>
          <h2 class="valid"><a href="example.php">Powrót do formularza</a></h2>
        <?php else: ?>
          <h1 class="error"><?php echo $awCaptcha->getErrorMsg() ?></h1>
          <h2 class="error">Spróbuj jeszcze raz</h2>
          
          <form action="example.php" method="post">
            <fieldset>
              <legend>Przykładowy formularz z systemem AdvertWay.pl</legend>
              <label for="name">Podaj swoje imię:</label>
              <input type="text" id="name" name="name" value="<?php echo htmlspecialchars(isset($_POST['name']) ? $_POST['name'] : '')?>"><br><br>
              <label>Weryfikacja:</label>
              <?php $awCaptcha->showCaptcha() ?>
              <input type="submit">
            </fieldset>
          </form>
        <?php endif; ?>

      <?php else: ?>

        <form action="example.php" method="post">
          <fieldset>
            <legend>Przykładowy formularz z systemem AdvertWay.pl</legend>
            <label for="name">Podaj swoje imię:</label>
            <input type="text" id="name" value=""><br><br>
            <label>Weryfikacja:</label>
            <?php $awCaptcha->showCaptcha() ?>
            <input type="submit">
          </fieldset>
        </form>
          
      <?php endif; //if POST?>
          
    </div>
  </body>
</html>